* Model pro hodnocen dopad zmn nepmch dan na domcnosti a veejn rozpoty v esk republice - toto je do file umoznujc praktick vyuzit tohoto modelu
* Nacteni modelu
do "D:\LTaxes\QUAIDS_MF\DANE_3_vnitrnosti.do"
* Zadani parametru - soucasneho stavu i zmen, sazeb DPH i spotrebnich dani, t je nazev reformy/simulace
foreach t in reforma1 { 	
* VAT and expenditure groups - setting
global skupiny "DANE_4_skupiny.do"

* VAT rates - 
* 1: old reduced VAT rate, puvodni snizena sazba DPH
scalar v1_`t' = 15
* 2: old standard VAT rate,  puvodni zakladni sazba DPH
scalar v2_`t' = 21
* 3: new reduced VAT rate,  nova snizena sazba DPH
scalar v3_`t' = 15
* 4: new standard VAT rate,  nova zakladni sazba DPH
scalar v4_`t' = 21

* vat_impact - growth of income - 
* 5: growth of income
scalar v5_`t' = 0

* Excise duties - Spotrebni dane
* ED specific CZK change - 
* 6: fuel (change in CZK - specific per liter), 
scalar v6_`t' = 0
* 7: beer (specific per liter), 
scalar v7_`t' = 0
* 8: wine (specific per liter), 
scalar v8_`t' = 0
* 9: spirit (specific per liter), 
scalar v9_`t' = 0
* 10: cigarettes (specific), 
scalar v10_`t' = 0
* 11: cigars (specific), 
scalar v11_`t' = 0
* 12: otobacco (specific)
scalar v12_`t' = 0

* ED specific % change - 
* 13: fuel (change in % of current excise duty paid), 
scalar v13_`t' = 0
* 14: beer (%), 
scalar v14_`t' = 0
* 15: wine (%), 
scalar v15_`t' = 0
* 16: spirit (%), 
scalar v16_`t' = 0
* 17: cigarettes (%), 
scalar v17_`t' = 0
* 18: cigars (%), 
scalar v18_`t' = 0
* 19: otobacco (%)
scalar v19_`t' = 0

* ED specific CZK currently - 
* 20: fuel (change in CZK - specific per liter), 
scalar v20_`t' = 12.3
* 21: beer (specific per liter), 
scalar v21_`t' = 3.2
* 22: wine (specific per liter), 
scalar v22_`t' = 0
* 23: spirit (specific per liter), 
scalar v23_`t' = 57
* 24: cigarettes (specific), 
scalar v24_`t' = 2.1
* 25: cigars (specific), 
scalar v25_`t' = 1.25
* 26: otobacco (specific)
scalar v26_`t' = 1400

* 27: name - *scalar `t' = `t'

* New, third VAT rate
* 28: old third VAT rate,  puvodni treti sazba DPH
scalar v28_`t' = 15
* 29: new third VAT rate,  nova treti sazba DPH
scalar v29_`t' = 15

* VAT rates in the data - 2011 (10 and 20) for the three VAT rates
* Reduced VAT rate in the data
scalar v30_`t' = 10
* Standard VAT rate in the data
scalar v31_`t' = 20
* Third VAT rate in the data
scalar v32_`t' = 10

* Provedeni programu vat_impact, ktery generuje vysledky
vat_impact v1_`t' v2_`t' v3_`t' v4_`t' v5_`t' v6_`t' v7_`t' v8_`t' v9_`t' v10_`t' v11_`t' v12_`t' v13_`t' v14_`t' v15_`t' v16_`t' v17_`t' v18_`t' v19_`t' v20_`t' v21_`t' v22_`t' v23_`t' v24_`t' v25_`t' v26_`t' `t' v28_`t' v29_`t' v30_`t' v31_`t' v32_`t'
}
